<app-gift-card-types> </app-gift-card-types>
<div class="progress" id="scrollToCardDetails">
    <div class="progress-bar" role="progressbar" style="width: 50%" aria-valuenow="25" aria-valuemin="0"
        aria-valuemax="100"></div>
</div>

<div class="card-main">
    <div class="row">
        <div class="col-md-6">
            <div class="cotainer">
                <div class="cursor mb-2" (click)="back()">
                    <svg width="18" height="12" viewBox="0 0 18 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd" clip-rule="evenodd"
                            d="M17.75 5.99981C17.75 6.16557 17.6842 6.32454 17.5669 6.44175C17.4497 6.55897 17.2908 6.62481 17.125 6.62481L2.38375 6.62481L6.3175 10.5573C6.43486 10.6747 6.50079 10.8338 6.50079 10.9998C6.50079 11.1658 6.43486 11.325 6.3175 11.4423C6.20014 11.5597 6.04097 11.6256 5.875 11.6256C5.70903 11.6256 5.54986 11.5597 5.4325 11.4423L0.432499 6.44231C0.374296 6.38425 0.328117 6.31528 0.29661 6.23935C0.265102 6.16342 0.248882 6.08202 0.248882 5.99981C0.248882 5.9176 0.265102 5.8362 0.29661 5.76027C0.328117 5.68434 0.374296 5.61537 0.432499 5.55731L5.4325 0.557312C5.54986 0.439954 5.70903 0.374023 5.875 0.374023C6.04097 0.374023 6.20014 0.439954 6.3175 0.557312C6.43486 0.674671 6.50079 0.833843 6.50079 0.999812C6.50079 1.16578 6.43486 1.32495 6.3175 1.44231L2.38375 5.37481L17.125 5.37481C17.2908 5.37481 17.4497 5.44066 17.5669 5.55787C17.6842 5.67508 17.75 5.83405 17.75 5.99981Z"
                            fill="black" />
                    </svg>

                </div>
                <div class="title">
                    Download Template (Excel)
                </div>
                <form>
                    <div class="desription">
                        Kindly download a sample template to give multiple "Gift Cards" to your loved ones, friends,
                        employees, and clients.
                    </div>
                    <div class="download-box">
                        <div>
                            <svg width="52" height="37" viewBox="0 0 52 37" fill="none"
                                xmlns="http://www.w3.org/2000/svg">
                                <path
                                    d="M43.1167 16.7689L43.1594 17.1094L43.4924 17.1921C45.5907 17.7131 47.4577 18.9323 48.7944 20.6564C50.1312 22.3807 50.8603 24.5104 50.864 26.7054C50.8635 32.1079 46.5309 36.4902 41.2185 36.4902H13.3185C6.60837 36.4902 1.13672 30.9529 1.13672 24.1331C1.13672 18.7621 5.05941 13.7314 10.3108 12.1402L10.5347 12.0724L10.6261 11.8571C13.323 5.5055 19.2187 1.49023 26.0004 1.49023C34.769 1.49023 42.0386 8.15956 43.1167 16.7689ZM15.8549 24.6331H22.964V31.8474V32.3474H23.464H28.5367H29.0367V31.8474V24.6331H36.1458H37.1773L36.5383 23.8234L26.3929 10.9662L26.0004 10.4688L25.6078 10.9662L15.4624 23.8234L14.8234 24.6331H15.8549Z"
                                    stroke="#562A83" />
                            </svg>
                        </div>
                        <p>Download template in Excel format</p>
                    </div>
                    <div class="d-grid">
                        <a type="button" class="btn btn-primary" href="assets/GiftCardTemplate.xlsx" download (click)="goToUpload()">
                            <i class="fas fa-cloud-download"></i> <span class="ms-2">Download</span>
                        </a>
                        <!-- <button type="button" class="btn btn-primary mt-2" (click)="goToUpload()">
                            <span class="ms-2">Proceed to upload</span>
                        </button> -->
                    </div>
                    <p class="uploadtext">Already have a template, proceed to upload <span class="uploadhere"
                            (click)="goToUpload()">Here</span> </p>
                </form>
            </div>
        </div>
        <div class="col-md-6">
            <div class="container">
                <app-gift-card-image [amount]="amount"></app-gift-card-image>
            </div>
        </div>
    </div>
</div>